Bug 1655290 - [UI] VM smart state analysis show number of packages 0, at first. [NEEDINFO]
Summary: [UI] VM smart state analysis show number of packages 0, at first.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.z
Assignee: Rich Oliveri
QA Contact: Sudhir Mallamprabhakara
Red Hat CloudForms Documentation
URL:
Whiteboard: smart state analysis
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-02 12:31 UTC by Ilanit Stein
Modified: 2019-06-11 15:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-11 15:26:26 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:
lavenel: needinfo? (smallamp)


Attachments (Terms of Use)

Description Ilanit Stein 2018-12-02 12:31:39 UTC
Description of problem:
This report is based on CFME with a RHV provider connected,
however it might be related to other Infrastructure providers as well.  

Version-Release number of selected component (if applicable):
CFME-5.9.6.3
RHV-4.2.7-9 (Not sure it is related specifically to RHV provider).

How reproducible:
It happen to me once, but I didn't try to reproduce.

Steps to Reproduce:
1. Have a CFME appliance VM, run on RHV-1.
2. Add RHV-2 provider to this CFME. 
3. Mark a RHEL VM, running on RHV-2, as 'Management engine relashionship'
4. Perform Smart state analysis on this RHEL VM.
5. Verify the Smart state analysis task ends up successfully (under Configuration->Tasks)
6. Enter the VM details page, to view the analysis results.
All fields are populated, except for packages, that contain 0.
7. After entering the detected 'files', and then go back to the VM details page,
suddenly the packages field became populated, with a number different than 0.

Comment 4 Milan Zázrivec 2019-03-14 15:57:29 UTC
All the frontend here does it shows @record.number_of(:guest_applications)

It could be, that initially, the DB transactions from smart state analysis
are not commited yet and then UI shows zero.

But if so, this is more a backend problem.


Note You need to log in before you can comment on or make changes to this bug.